[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComboEx' (#lcl)

# TCustomCheckCombo.QueueCheckItemStates

Queues an asynchronous call to AsyncCheckItemStates in the Application singleton.

## Declaration

Source position: comboex.pas line 306

`protected procedure TCustomCheckCombo.QueueCheckItemStates;`

## Description

QueueCheckItemStates is a procedure used to queue an asynchronous call to the AsyncCheckItemStates method in the global Application singleton. QueueCheckItemStates is called from the DrawItem method.

## See also

TCustomCheckCombo.DrawItem |  | Draws a check box item defined in the combo-box control.
TApplication.QueueAsyncCall |  | Inserts an asynchronous call into the queue.
Application |  | The TApplication singleton.